KIWI::SYSTEM::UPDATE(8)

NAME
kiwi::system::update - Update/Upgrade image root system

SYNOPSIS

            kiwi-ng [global options] service <command> [<args>]

            kiwi-ng system update -h | --help
            kiwi-ng system update --root=<directory>
                [--add-package=<name>...]
                [--delete-package=<name>...]
            kiwi-ng system update help

DESCRIPTION

Update a previously prepared image root tree. The update command refreshes the contents of the root directory according to the repository setup of the image XML description. The update command can also be used to add or remove packages from the image root tree.

OPTIONS

    --add-package=<name>
        Specify a package to add (install). The option can be specified multiple times.

    --delete-package=<name>
        Specify a package to delete. The option can be specified multiple times.

    --root=<directory>
        Path to the root directory of the image.

Author
Marcus Schäfer

Copyright
2020-2026, Marcus Schäfer